function p.update()
    local game_time = ga_get_game_time()
    local elapsed_time = ga_get_sys_f("game.time.elapsed")

    --Messages.
    std.set_bydelta_f("game.messages.slot1.ttl", -elapsed_time)
    std.set_bydelta_f("game.messages.slot2.ttl", -elapsed_time)
    std.set_bydelta_f("game.messages.slot3.ttl", -elapsed_time)
    std.set_bydelta_f("game.messages.slot4.ttl", -elapsed_time)
    std.set_bydelta_f("game.messages.slot5.ttl", -elapsed_time)
end
